High-Level Data Reduction Library: Catalogue

High-Level Data Reduction Library 1.6.0 High-Level data reduction routines for ESO pipelines

Loading...
Searching...
No Matches
Modules | Functions
Catalogue

Main function of the catalogue. More...

Collaboration diagram for Catalogue:

## Modules
| hdrl_apclust
| Detect multiple objects from a given Plessey array.
| hdrl_apio
| Initialize the ap structure.
| hdrl_apline
| Detect objects on a line of data.
| hdrl_areals
| Work out the areal profiles for an object.
| hdrl_background
| Model and create background map.
| hdrl_casu
| Generic functions.
| hdrl_classify
| Do star/galaxy classification.
| hdrl_extend
| Do aperture integration.
| hdrl_filter
| Do bilinear median and linear filtering on background values.
| hdrl_moments
| Do moments analysis on an object.
| hdrl_overlp
| Deblend overlapping images.
| hdrl_phopt
| Does multiple profile fitting to determine intensities.
| hdrl_polynm
| Work out the median seeing.
| hdrl_radii
| Work out the fluxes for special radii.
| hdrl_seeing
| Work out the median seeing.
| hdrl_solve
| Use Gauss-Jordan elimination to solve ax=b.
| hdrl_statistics
| Compute statistics.
| hdrl_catalogue_table
| Table for the catalogue.
| hdrl_terminate
| Check for objects that have terminated.
| hdrl_utils_catalogue
| Common functions.
| hdrl_utils_sort
| Sort functions for differents data types.

## Functions
cpl_error_code | hdrl_catalogue_conf (hdrl_casu_fits *infile, hdrl_casu_fits *conf, cpl_size ipix, double threshold, cpl_size icrowd, double rcore, cpl_size bkg_subtr, cpl_size nbsize, cpl_size cattype, double filtfwhm, double gain, double saturation, hdrl_casu_result *res)
| Do source extraction.

## Detailed Description

Main function of the catalogue.

## Function Documentation

## ◆ hdrl_catalogue_conf()

cpl_error_code hdrl_catalogue_conf | ( | hdrl_casu_fits * | infile,
|  | hdrl_casu_fits * | conf,
|  | cpl_size | ipix,
|  | double | threshold,
|  | cpl_size | icrowd,
|  | double | rcore,
|  | cpl_size | bkg_subtr,
|  | cpl_size | nbsize,
|  | cpl_size | cattype,
|  | double | filtfwhm,
|  | double | gain,
|  | double | saturation,
|  | hdrl_casu_result * | res
| ) |  |

Do source extraction.

Parameters

  infile | The input image
  conf | The input confidence map
  ipix | The minimum allowable size of an object
  threshold | The detection threshold in sigma above sky
  icrowd | If set then the deblending software will be used
  rcore | The core radius in pixels
  bkg_subtr | The switch to do background subtraction
  nbsize | The smoothing box size for background map estimation
  cattype | The type of catalogue to be produced
  filtfwhm | The FWHM of the smoothing kernel in the detection algorithm
  gain | The header keyword with the gain in e-/ADU
  saturation | The saturation level in ADU
  res | the result after source extraction

Returns
  CPL_ERROR_NONE if everything is ok. The concrete error in other case.

Note
  QC headers: The following values will go into the image extension propertylist.
  - SATURATION: Saturation level in ADU.
  - MEAN_SKY: Mean sky brightness in ADU.
  - SKY_NOISE: Pixel noise at sky level in ADU.
  DRS headers: The following values will go into the image extension propertylist
  - SKYLEVEL: Mean sky brightness in ADU
  - SKYNOISE: Pixel noise at sky level in ADU The following values will go into the table extension propertylist
  - THRESHOL: The detection threshold in ADU
  - MINPIX: The minimum number of pixels per image
  - CROWDED: Flag for crowded field analysis
  - RCORE: The core radius for default profile fit in pixels
  - FILTFWHM: The FWHM of the smoothing kernel in the detection algorithm
  - SEEING: The average FWHM of stellar objects in pixels
  - XCOL: The column containing the X position
  - YCOL: The column containing the Y position
  - NXOUT: The X dimension of the original image array
  - NYOUT: The Y dimension of the original image array